#!/usr/bin/python

from nikos_welt import *

class Roboter_V2(Roboter):		# Klammer: erbt von Roboter
   def __init__(self,welt,time):	# hat Parameter welt und time
      Roboter.__init__(self,welt,time)  # initialisiert den Beerbten

   def vor(self):			# Überschreiben von Methoden
      Roboter.vor(self)
      while not self.Feld_leer():
         self.nimm()

   def rechts(self):
      self.links()
      self.links()
      self.links()

   def bis_zur_Wand_laufen(self):
      while self.vorne_frei():
         self.vor()

   def Linkskurve_laufen(self):
      self.links()
      self.vor()
      self.links()

   def Rechtskurve_laufen(self):
      self.rechts()
      self.vor()
      self.rechts()

   def links_frei(self):
      self.links()
      zustand=self.vorne_frei()
      self.rechts()
      return zustand

   def rechts_frei(self):
      self.rechts()
      zustand=self.vorne_frei()
      self.links()
      return zustand


meine_Welt=Welt('welt1.welt',14)
niko=Roboter_V2(meine_Welt,0.1)
niko.bis_zur_Wand_laufen()
while 1:
   if niko.links_frei():
      niko.Linkskurve_laufen()
      niko.bis_zur_Wand_laufen()
      if niko.rechts_frei():
         niko.Rechtskurve_laufen()
         niko.bis_zur_Wand_laufen()
   if not niko.links_frei() or not niko.rechts_frei():
      break     
      
Tkinter.mainloop()
